@import '../../styles/variables.scss';
@import '../../styles/mixins.scss';

#glossary {

  .nav {
    padding-bottom: 30px;
    color: $gray;
    display: flex;
    justify-content: space-between;
    border-bottom: 1px solid $gray-light;
    &__links-list {
      display: flex;
    }
    &__link {
      @include title-4;
      margin-right: 30px;
      &_active {
        color: $black;
      }
    }
  }

  .find {
    &__label {
      cursor: pointer;
    }
    &__input {
      @include sr-only;
    }
    &__button {
      @include sr-only;
    }
  }

  .title {
    @include title-1;
    margin-top: 30px;
    margin-bottom: 35px;
  }

  .section {
    &__title {
      @include title-2;
      margin-top: 100px;
      margin-bottom: 20px;
    }
    &__intro {
      margin-top: 30px;
      margin-bottom: 40px;
    }
  }

  .intro {
    font-family: serif; // update to tiempos
    font-size: 0.9375rem;
    line-height: 1.5;
    > * {
      margin-top: 20px;
    }
  }

  .term {
    padding: 20px 0;
    border-top: 1px solid $gray-light;
    display: flex;
    &:last-of-type {
      border-bottom: 1px solid $gray-light;
    }
    &__title {
      @include title-4;
      line-height: 1.6;
      margin-right: 10px;
    }
    &__description {
    }
    // only show terms that have the 'active' class
    &:not(.term_active) {
      .term__description {
        @include sr-only;
      }
    }
  }

}
